import React, { useContext } from "react";
import { motion } from "framer-motion";
import {
	LikeFilled,
	LikeOutlined,
	EyeOutlined,
	CommentOutlined,
} from "@ant-design/icons";
import { Button, Tooltip } from "antd/lib";
import { PostDetailContext } from "../context/PostDetailContext";
import PostLikeButton from "./PostLikeButton";
import PostResources from "../PostResources";
export function StatsSection() {
	const { post } = useContext(PostDetailContext);

	return (
		<div

			className="mt-6 flex flex-wrap gap-4  justify-between items-center">
			{/* PostResources 组件 */}
			<PostResources post={post} />
			<div className=" flex gap-2">
				<Button title="浏览量" type="default" shape="round" icon={<EyeOutlined />}>
					{post?.views}
				</Button>
				<Button type="default" title="评论数" shape="round" icon={<CommentOutlined />}>
					{post?.commentsCount}
				</Button>
				<PostLikeButton post={post}></PostLikeButton>
			</div>

		</div>
	);
}
